#!/bin/csh -f
#
# Set the INSTALL directory and the LMX version
#
set lmxver = "4.9.24"
set cwd = `pwd`
#
get_dir:
set install_dir = `pwd`
set lmx_dir = "$install_dir/lmx-${lmxver}"
set install_directory = "no"
#
echo " "
echo "NOTE : This installer requires sudo permission to register LM-X License Server Service for auto-start"
echo " "
echo "Installation directory : $lmx_dir"
#
set buffer = ()
while ( $#buffer == 0 )
  echo " "
  echo -n "Do you want to change the installation directory? (Y/N/Quit) "
  set buffer = $<
  if ( "$buffer" == "" ) set buffer = ()
end
set answer = `echo "$buffer[1]" | tr "[A-Z]" "[a-z]"`
switch ($answer)
  case no:
  case n:
    breaksw
  case yes:
  case ye:
  case y:
    get_directory:
    set install_dir = ()
    echo " "
    echo "Enter the FULL PATH of the directory into which you want to"
    echo "put the software."
    echo " "
    echo -n " ? : "
    set install_dir = $<
    if("$install_dir" == "") goto get_directory
    set lmx_dir = "$install_dir"
    set install_directory = "yes"
    breaksw
  case quit:
  case qui:
  case qu:
  case q:
    goto exit
    breaksw
default:
  goto get_dir
endsw

set_directory:
if ( "$install_directory" == "yes") then
  echo " "
  echo "Installation directory : $lmx_dir"
  set buffer = ()
  while ( $#buffer == 0 )
    echo " "
    echo -n "Are you sure you want to install in this directory? [Y/N] "
    set buffer = $<
    if ( "$buffer" == "" ) set buffer = ()
  end
set answer = `echo "$buffer[1]" | tr "[A-Z]" "[a-z]"`
switch ($answer)
  case yes:
  case ye:
  case y:
    breaksw
  case no:
  case n:
    get_directory_bis:
    set install_dir = ()
    echo " "
    echo "Enter the FULL PATH of the directory into which you want to"
    echo "put the software."
    echo " "
    echo -n " ? : "
    set install_dir = $<
    if("$install_dir" == "") goto get_directory_bis
    set lmx_dir = "$install_dir"
    set install_directory = "yes"
    goto set_directory 
    breaksw
  case quit:
  case qui:
  case qu:
  case q:
    goto exit
    breaksw
default:
    goto set_directory 
    breaksw
endsw
endif
#
echo " "
echo "LM-X license server will be installed in the directory:"
echo " "
echo $lmx_dir
echo " "
#
#
#
take_it_from_here:
#
# try and run silent installation
#
if(-e $cwd/files/liblmxvendor.so) then
    if(-e $cwd/files/lmx-enduser-tools_v${lmxver}_linux_x64.sh) then
        $cwd/files/lmx-enduser-tools_v${lmxver}_linux_x64.sh -- -e accept -i $lmx_dir -l $cwd/files/liblmxvendor.so
    else
        echo "ERROR : .sh file not found"
    endif
else
    echo "ERROR : .so file not found"
endif
#
